import { IllegalStateError } from '@temporalio/common';
/**
 * The worker has been shut down
 */
export declare class ShutdownError extends Error {
}
/**
 * Thrown after shutdown was requested as a response to a poll function, JS should stop polling
 * once this error is encountered
 */
export declare class TransportError extends Error {
}
/**
 * Something unexpected happened, considered fatal
 */
export declare class UnexpectedError extends Error {
    cause?: unknown;
    constructor(message: string, cause?: unknown);
}
export { IllegalStateError };
export declare function convertFromNamedError(e: unknown, keepStackTrace: boolean): unknown;
